// pages/anti/anti.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    cpid:'',
    antiData:{}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      cpid:options.cpid
    })
    this.getData()
  },

  getData(){
    wx.showLoading({title:'正在加载'})
    wx.request({
      url:'https://tjfnew.china315net.com/dist/zhongfen/ajax/fw.ashx',
      data:{
        cpid: this.data.cpid
      },
      success:(res) => {
        this.setData({
          antiData: res.data
        })
      },
      complete(){
        wx.hideLoading()
      }
    })
   
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
   
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})